<template>
    <div>
        <h1>List</h1>
        <div>
            <v-data-table
                    :headers="headers"
                    :items="tickets"
                    :items-per-page="10"
                    class="elevation-1"
            >
                <template v-slot:item="row">
                    <tr>
                        <td> {{ row.item.ticketNumber}}</td>
                        <td> {{ row.item.title}}</td>
                        <td> {{ row.item.status}}</td>
                        <td> {{ row.item.priority}}</td>
                        <td>
                            <router-link :to="`/tickets/`+row.item.id" style="text-decoration: none; color : inherit">
                                <v-icon>mdi-send</v-icon>
                            </router-link>
                        </td>
                    </tr>
                </template>
            </v-data-table>

        </div>
    </div>
</template>

<script>
  export default {
    name: "TicketsList",
    props : {
      tickets : Array,
    },
    data (){
      return {
        headers : [
          { text : 'Number', value : 'ticketNumber', align : 'start'},
          { text : 'Title', value : 'title'},
          { text : 'Status', value : 'status'},
          { text : 'Priority', value : 'priority'},
        ]
      }
    }
  }
</script>

<style scoped>

</style>